package com.yizhi.documents.application.vo.documents;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@Api(value = "上传资料vo")
public class UploadVo {

    @ApiModelProperty(value = "资料id")
    private Long id;

    @ApiModelProperty(value = "分类id ")
    private Long classfyId;

    @ApiModelProperty(value = "下载路径 ")
    private String url;

    @ApiModelProperty(value = "资料名称 ")
    private String name;

    @ApiModelProperty(value = "文件名称 ")
    private String fileName;

    @ApiModelProperty(value = "文件后缀名称")
    private String suffixName;

    @ApiModelProperty(value = "资料大小")
    private Double fileSize;

    @ApiModelProperty(value = "前端回显需要")
    private String uuId;

    @ApiModelProperty(value = "pdf解析后的图片地址")
    private String pdfUrl;

    @ApiModelProperty(value = "关键词")
    private String keywords;
}
