package com.yizhi.documents.application.controller;


import com.yizhi.documents.application.service.DocumentRelationService;
import com.yizhi.documents.application.vo.documents.DocumentRelationVo;
import com.yizhi.documents.application.vo.documents.ModelVo;
import com.yizhi.documents.application.vo.documents.ParamsVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author hutao
 * @since 2019-06-11
 */
@RestController
@RequestMapping("/documentRelation")
public class DocumentRelationComtroller {

    @Autowired
    DocumentRelationService documentRelationService;

    @PostMapping("/delete")
    public Boolean delete(@RequestBody ModelVo modelVo) {

        return documentRelationService.delete(modelVo.getId(), null);
    }

    @PostMapping("/batch/save")
    public Boolean save(@RequestBody DocumentRelationVo documentRelationVo) {

        return documentRelationService.batchSave(documentRelationVo.getDocumentIds(), documentRelationVo.getRelationId(), documentRelationVo.getRelationType());

    }

    @PostMapping("/move")
    public Boolean move(@RequestBody DocumentRelationVo documentRelationVo) {


        ParamsVo paramsVo = documentRelationService.move(documentRelationVo);
        if (paramsVo.getSuccess()) {
            return true;
        } else {
            return false;
        }

    }

}

