package com.yizhi.documents.application.service;

import com.baomidou.mybatisplus.service.IService;
import com.yizhi.documents.application.domain.DocumentClassify;
import com.yizhi.documents.application.vo.documents.DocumentClassifyTreeVo;
import com.yizhi.documents.application.vo.documents.DocumentClassifyVo;
import com.yizhi.core.application.context.RequestContext;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author hutao
 * @since 2019-06-11
 */
public interface ClassifyService extends IService<DocumentClassify> {

    public Boolean save(DocumentClassify classify);

    public Boolean update(DocumentClassifyVo classifyVo);

    public Boolean delete(DocumentClassify classify);

    public List<DocumentClassifyTreeVo> queryClassifyList();

    public Boolean haveChildrenClassify(Long ClassifyId);

    public Map<Long,String> getClassifyName(RequestContext context);

}
