package com.yizhi.documents.application.feign;


import com.yizhi.documents.application.vo.documents.DocumentRelationVo;
import com.yizhi.documents.application.vo.documents.ModelVo;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author hutao
 * @since 2019-06-11
 */
@FeignClient(name = "documents", contextId = "DocumentRelationClient")
public interface DocumentRelationClient {


    @PostMapping("/documentRelation/delete")
    public Boolean delete(@RequestBody ModelVo modelVo);

    @PostMapping("/documentRelation/batch/save")
    public Boolean save(@RequestBody DocumentRelationVo documentRelationVo);

    @PostMapping("/documentRelation/move")
    public Boolean move(@RequestBody DocumentRelationVo documentRelationVo);

}

