package com.yizhi.documents.application.vo.documents;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;

import lombok.Data;

import java.util.Date;
import java.util.List;

import com.baomidou.mybatisplus.annotations.TableField;

/**
 * <p>
 *
 * </p>
 *
 * @author hutao
 * @since 2019-06-11
 */
@Data
@Api(tags = "DocumentVo", description = "")
public class DocumentVo {

    @ApiModelProperty(value = "主键")
    private Long id;

    @ApiModelProperty(value = "资料关联关系id")
    private Long documentRelationId;

    @ApiModelProperty(value = "序号")
    private Integer no;

    @ApiModelProperty(value = "前端回显需要")
    private String uId;

    @ApiModelProperty(value = "分类id")
    private Long classifyId;

    @ApiModelProperty(value = "资料名称")
    private String name;

    @ApiModelProperty(value = "资料编码需要")
    private Integer code;

    @ApiModelProperty(value = "资料编码名称")
    private String codeName;

    @ApiModelProperty(value = "下载次数")
    private Integer downloadTimes;

    @ApiModelProperty(value = "资料大小")
    private Double fileSize;

    @ApiModelProperty(value = "资料大小名称")
    private String fileSizeName;

    @ApiModelProperty(value = "资料大小名称")
    private String fileName;

    @ApiModelProperty(value = "资料类型  ：1、文档；2、图片；3、音频；4、视频；5、其他")
    private Integer type;

    @ApiModelProperty(value = "资料类型名称  ：1、文档；2、图片；3、音频；4、视频；5、其他")
    private String typeName;

    @ApiModelProperty(value = "下载路径")
    private String url;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    @ApiModelProperty(value = "上传人名称")
    private String createAccounName;
    
    @ApiModelProperty(value = "文件后缀名称")
    private String suffixName;

    @ApiModelProperty(value = "关键词,逗号分隔")
    private String keywords;

    @TableField("video_ld")
    private String videoLd;

    @TableField("video_sd")
    private String videoSd;

    @TableField("video_hd")
    private String videoHd;

    @ApiModelProperty(notes = "是否是视频文件，0否，1是")
    @TableField(value = "is_video")
    private Integer isVideo;
    
    private List<PdfPagesVo> pdfPageVos;
}
