package com.yizhi.documents.application.vo.domain;

import com.baomidou.mybatisplus.activerecord.Model;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author hutao
 * @since 2019-06-11
 */
@Data
@Api(tags = "Classify", description = "")
public class DocumentClassifyVo extends Model<DocumentClassifyVo> {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键")
    private Long id;

    @ApiModelProperty(value = "分类父id   一级分类则为0")
    private Long parentId;

    @ApiModelProperty(value = "顶层节点id   一级分类则为0")
    private Long rootId;

    @ApiModelProperty(value = "分类层级")
    private Integer layer;

    @ApiModelProperty(value = "分类名称")
    private String name;

    @ApiModelProperty(value = "分类编码")
    private Integer code;

    @ApiModelProperty(value = "分类描述")
    private String description;

    @ApiModelProperty(value = "是否已删除 0：未删除、1：已删除 默认为0")
    private Integer deleted;


    @ApiModelProperty(value = "创建者id")
    private Long createById;

    @ApiModelProperty(value = "创建者名称")
    private String createByName;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "更新者id")
    private Long updateById;

    @ApiModelProperty(value = "修改者名称")
    private String updateByName;

    @ApiModelProperty(value = "修改时间")
    private Date updateTime;

    @ApiModelProperty(value = "站点id")
    private Long siteId;

    @ApiModelProperty(value = "组织id")
    private Long orgId;

    @ApiModelProperty(value = "企业id")
    private Long companyId;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
