package com.yizhi.documents.application.mapper;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.yizhi.documents.application.domain.DocumentRelation;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author hutao
 * @since 2019-06-11
 */
public interface DocumentRelationMapper extends BaseMapper<DocumentRelation> {

    //所有的orgId 暂时没有用到
    public List<Long> returnDocumentIds(@Param("relationId") Long relationId, @Param("relationType") Integer relationType, @Param("companyId") Long companyId, @Param("siteId") Long siteId, @Param("orgId") Long orgId);

    public Integer delete(@Param("id") Long id, @Param("documentId") Long documentId, @Param("companyId") Long companyId, @Param("siteId") Long siteId, @Param("orgId") Long orgId);

    public Integer queryMaxSort(@Param("relationId") Long relationId, @Param("relationType") Integer relationType, @Param("companyId") Long companyId, @Param("siteId") Long siteId, @Param("orgId") Long orgId);

    public DocumentRelation queryBySort(@Param("orgiSort") Integer orgiSort, @Param("relationId") Long relationId, @Param("relationType") Integer relationType, @Param("moveType") Integer moveType, @Param("companyId") Long companyId, @Param("siteId") Long siteId, @Param("orgId") Long orgId);

    public List<Long> getFilterDocumentIds(@Param("relationId") Long relationId, @Param("relationType") Integer relationType, @Param("companyId") Long companyId, @Param("siteId") Long siteId, @Param("orgId") Long orgId);
}
